View Issue Details

IDProjectCategoryView StatusLast Update
0009687ScribusGeneralpublic2014-05-12 06:33
Reporterale Assigned Tofschmid  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.4.0 
Target VersionFixed in Version1.5.0svn 
Summary0009687: exporting to PNG with transparent background
Descriptionseveral users have asked to enable transparent backgrounds when exporting to PNG.

i don't see it as a big priority, but i could not think either that it must be that hard to do it...
Steps To Reproduceindeed i could get a PNG with a transparent background by outcommenting the line

painter->clear(Doc->papColor);

in QImage ScribusView::PageToPixmap().

it may be necessary to do the same for ScribusView::MPageToPixmap() ...

now, i just have to find out, how to pass the value from a new checkbox in the export to PNG dialog...
TagsNo tags attached.
Patch

Activities

Kunda

2014-05-01 21:43

updater   ~0031834

+1 on this

christoph_s

2014-05-12 06:33

administrator   ~0031847

Tested, fixed. Thanks!

Issue History

Date Modified Username Field Change
2011-01-17 22:47 ale New Issue
2014-05-01 21:43 Kunda Note Added: 0031834
2014-05-11 08:11 fschmid Status new => resolved
2014-05-11 08:11 fschmid Fixed in Version => 1.5.0svn
2014-05-11 08:11 fschmid Resolution open => fixed
2014-05-11 08:11 fschmid Assigned To => fschmid
2014-05-12 06:33 christoph_s Note Added: 0031847
2014-05-12 06:33 christoph_s Status resolved => closed